#include <iostream>
#include <list>
#include <my++/cgi.h>

using namespace std;

int main (int, char **) {
	my::cgi input;

	list<std::string> names;
	list<std::string>::iterator name;

	names.push_back("Month");
	names.push_back("Day");
	names.push_back("Year");
	names.push_back("Nothing");
	names.push_back("Plant");
	names.push_back("Location");
	names.push_back("Month");
	names.push_back("Day");
	names.push_back("Year");

	for (name = names.begin(); name != names.end(); ++name)
		cout << "Value of " << *name << " = \"" << input.getValue(*name) << "\"" << endl;

	return 0;
}
